<?php
require '../conexao/conexao.php';
session_start();

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id_metas'])) {
    $id_meta = $_POST['id_metas'];
} else {
    $filtros = isset($_SESSION['filtros']) ? http_build_query($_SESSION['filtros']) : '';

    $location = 'index.php';
    if (!empty($filtros)) {
        $location .= '?' . $filtros;
    }

    header("Location: $location");
    exit;
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {

        // Preparar a consulta SQL
        $stmt_pessoa = $connectionmysql->prepare("DELETE FROM metas WHERE id_metas = ?");
        if ($stmt_pessoa === false) {
            die('Erro na preparação da consulta: ' . $connectionmysql->error);
        }

        // Vincular parâmetros
        $stmt_pessoa->bind_param("i", $id_meta);

        // Executar a consulta
        if ($stmt_pessoa->execute()) {
            $filtros = isset($_SESSION['filtros']) ? http_build_query($_SESSION['filtros']) : '';

            $location = './index.php?status=sucesso';
            if (!empty($filtros)) {
                $location .= '&' . $filtros;
            }

            header("Location: $location");
            exit;
        } else {
            die('Erro na execução da consulta: ' . $stmt_pessoa->error);
        }

        // Fechar a declaração
        $stmt_pessoa->close();
    } elseif (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'nao') {
        $filtros = isset($_SESSION['filtros']) ? http_build_query($_SESSION['filtros']) : '';

        $location = 'index.php';
        if (!empty($filtros)) {
            $location .= '?' . $filtros;
        }

        header("Location: $location");
        exit;
    }
}

// Fechar a conexão com o banco de dados
$connectionmysql->close();
